Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.program.tagvalue
Interface TagValueContext

    public interface TagValueContext

Communication interface between Parser and a TagValueListener that allows listeners to request that a parser/listener pair be pushed onto the stack to handle the current tag.

Since:
  1.2
Author:
  Mathew Pocock

Method Summary
`void` | `pushParser(TagValueParser subParser, TagValueListener subListener)` Push a parser and listener pair onto the parser stack.

Method Detail

### pushParser

    void pushParser(TagValueParser subParser,
                    TagValueListener subListener)

  Push a parser and listener pair onto the parser stack.

  This will result in the parser using subParser to process all values of the current tag.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD